## xrick 021212-1

=== debian/changelog ===
xrick (021212-1) unstable; urgency=low

  * Initial release

 -- trompkins <maciej.stankiewicz@gmail.com>  Tue, 27 Mar 2012 23:03:01 +0100
