=== debian/control ===
Source: xrick
Section: trompkins
Priority: extra
Maintainer: trompkins <maciej.stankiewicz@gmail.com>
Build-Depends: debhelper (>= 5), zlib1g-dev, libsdl1.2-dev
Standards-Version: 3.7.2

Package: xrick
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: XRick is a clone of Rick Dangerous.
 Way before Lara Croft, back in the 1980's and early 1990's, Rick Dangerous was the Indiana Jones of computer games, running away from rolling rocks, avoiding traps, from South America to a futuristic missile base via Egypt and the Schwarzendumpf castle.
XB-Maemo-Display-Name: XRick
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAMAAABg3Am1AAAACXBIWXMAAAV4
 AAAFeAG+AYe6AAAAIGNIUk0AAHolAACAgwAA+f8AAIDpAAB1MAAA6mAAADqY
 AAAXb5JfxUYAAAMAUExURSFKAEprIZRKAN5rAEohAP+Ua7W1tSEhIf///wAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAALg6fesAAAAJdFJOU///////////AFNPeBIA
 AAFhSURBVHjaxJbBjgIxDENfkhnB//8tmjbZQ9KyoL3QIi0SElDVlu04g9z5
 7KVsX4j4+/Mqw/GOz8UJCAFcnMiXGUCAjtGxd/RNhih0BRzDsYIbJ3sMQSc4
 gF54gtNRgoY89WxocIzGgeIEEDgKNJSObWmIutoxGoGiBEbgBEpHn14tMAx/
 DHACQRCinEolBsOrJQ3DnyBQHEfrnd/57dXHDHLPDhgdUBo3LgSjE5w8OHDA
 6NmNxaTTa6chPLjRCODkgdDQmQVLGgLHkco0O6c1XTkDNs91MYdeHvlMO/ON
 4spfLHUsMehsWWYhOFQb8kSI4dMCg2AYHaFzzoZbtcyACyOwjT60wnxV9roT
 M5NjMQcpR0YiMbe3VEJUQ3ZcuiaaI9UurzwMJ+qpsb75sstWDZa5r6PwdXnz
 yT24kLnZZKoYuDGfD8G5mEPunpz8o3LNuc1JyhMWc5B/+K/x7Qs/AwCjN5ym
 hRcYDQAAAABJRU5ErkJggg==
 ====
