## xrick 021212-2

=== debian/changelog ===
xrick (021212-2) unstable; urgency=low

  * Control file fix

 -- trompkins <maciej.stankiewicz@gmail.com>  Wed, 28 Mar 2012 12:37:51 +0100
