=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: xrick
-Section: trompkins
+Section: games
 Priority: extra
 Maintainer: trompkins <maciej.stankiewicz@gmail.com>
 Build-Depends: debhelper (>= 5), zlib1g-dev, libsdl1.2-dev
